﻿class Asteroid extends FloatingMovieClips 
{
	//Integers
	private var int_AsteroidSize:Number;
	
	public function setProperties(sentX:Number, sentY:Number, sentRotation:Number, sentSize:Number, sentCurrentSpeed:Number):Void
	{
		//becuase the base class doesn't take size as a parameter we'll overload it and then super 
		super.setProperties(sentX, sentY, sentRotation);
		//set the asteroids size variable
		int_AsteroidSize = sentSize;
		//then make sure the asteriod movieclip is on the right frame
		this.gotoAndStop("Asteroid" + sentSize);
		//Set the alpha to 0 so it can fade in 
		this._alpha = 0;
		//Still need to sort out speed!
		setSpeedMutator(( sentCurrentSpeed / 10) / int_AsteroidSize);
		//if it's not a full sized asteroid we don't need to fade it in
		if(int_AsteroidSize < 3)
			this._alpha = 100;
	}
	
	public function onEnterFrame():Void
	{
		super.onEnterFrame();
		this._rotation += 0.025;
		//remove the movieclip if it's been set to fadeout and has an alpha of 0
		if(!bool_FadeIn && this._alpha < 0)
			_root.am_AsteroidManager.removeAsteroid(this);
	}
	
	public function getAsteroidSize():Number
	{
		return int_AsteroidSize;
	}
}